Module java.base
Package java.security.interfaces

## Interface ECPublicKey

- All Superinterfaces:
    `ECKey`, `Key`, `PublicKey`, `Serializable`

      public interface ECPublicKey
      extends PublicKey, ECKey

  The interface to an elliptic curve (EC) public key.
  Since:
    1.5
  See Also:
    `PublicKey`, `ECKey`, `ECPoint`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `serialVersionUID` | The class fingerprint that is set to indicate serialization compatibility.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ECPoint` | `getW()` | Returns the public point W.

    - ### Methods declared in interface java.security.interfaces.ECKey

      `getParams`

    - ### Methods declared in interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getW

          ECPoint getW()

      Returns the public point W.
      Returns:
        the public point W.